import { TouchBaseSchema } from '@isa/common/data-access';
import { z } from 'zod';

export const DateRangeSchema = z
  .object({
    start: z.string().describe('Start').optional(),
    stop: z.string().describe('Stop').optional(),
  })
  .extend(TouchBaseSchema.shape);

export type DateRange = z.infer<typeof DateRangeSchema>;
